QGIS Application - Bug report #17731
Updating geometry with MariaDB is flawed
2017-12-21 10:55 AM - Kaare Rasmussen

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.18.7 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 25627

Description

When | alter an existing geometry (ie a polygon) stored in MariaDB 10.2 in QGIS, the actual SQL done is first a delete (delete from gisdata
where id = 1) and then an insert ( insert into gisdata (...)) rather than an update (update gisdata set geom = ...... where id = 1). This can
cause issues for tables with foreign key constratins. There may be something special regarding the MariaDB because MySql doesn’t
behave this way

Regards
Kaare

History

#1 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-24 01:40 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

2025-04-26 1/1




